# Generated from tamem-scss-1.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tamem-scss

Name: rubygem-%{gem_name}
Version: 1.0.4
Release: 1%{?dist}
Summary: Sass helper for cross browser
License: MIT
URL: https://github.com/fesuydev/tamem-scss/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Tamem-scss is a cross browser helper for sass. You can enjoy coding without
create vendor prefix :D.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bower.json
%{gem_libdir}
%{gem_instdir}/package.json
%{gem_instdir}/sass
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/tamem-scss.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 1.0.4-1
- Initial package
